> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/cloud/web-interface/help-and-tools/export/powershell-script-export-type.md).

# PowerShell script export type

Use a PowerShell script to export your data in JSON or CSV format. This method is only available with Devolutions Cloud and requires PowerShell 7 or later.

First choose whether you want to automatically or manually fill in your information in the PowerShell script.

### Automatically fill in the information

1. In ***Help & tools***, click on ***Export***.
2. Select the ***PowerShell script*** export type.

   ![](https://cdnweb.devolutions.net/docs/HUBB2025_2024_1.png)
3. Next, create an [Application identity](https://docs.devolutions.net/cloud/web-interface/administration/management/application-users/manage-application-users/) with the right to export the desired vaults (see [Roles and Permissions](https://docs.devolutions.net/cloud/web-interface/administration/configuration-security/system-permissions/roles-permissions/) for more details). Make sure to enable ***Can access user vaults***, otherwise user vaults will not be exportable.
4. Select the ***Automatic*** option.

   ![](https://cdnweb.devolutions.net/docs/HUBB2023_2024_1.png)
5. Enter your application identity's ***Application secret*** and ***Application key*** in the corresponding fields.
6. Enter the ***Destination folder path***. This is where your data will be exported.
7. Choose to export in JSON or CSV.
8. Click ***Download***.
9. Run the downloaded script using PowerShell 7.

Your data has been exported to the destination folder.

### Manually fill in the information

1. In ***Help & tools***, click on ***Export***.
2. Select the ***PowerShell script*** export type.

   ![](https://cdnweb.devolutions.net/docs/HUBB2025_2024_1.png)
3. [Create an application identity](https://docs.devolutions.net/cloud/web-interface/administration/management/application-users/) and assign it the ***Manage vaults*** permission for the desired vault.
4. Select the ***Manual*** option.

   ![](https://cdnweb.devolutions.net/docs/HUBB2024_2024_1.png)
5. Choose to export in JSON or CSV.
6. Copy and paste the script in a PowerShell file (.ps1).
7. In your copied script, change the variables with the appropriate information. See the table below.

   <table><thead><tr><th width="211.79998779296875">Variable</th><th>Description</th></tr></thead><tbody><tr><td><code>$url</code></td><td>Enter your Devolutions Cloud URL. This variable is automatically filled in, but it is still possible to change it.</td></tr><tr><td><code>$appSecret</code></td><td>Enter the application user's <em><strong>Application secret</strong></em>.</td></tr><tr><td><code>$appKey</code></td><td>Enter the application user's <em><strong>Application key</strong></em>.</td></tr><tr><td><code>$pathToExportedFolder</code></td><td>Enter the <em><strong>Destination folder path</strong></em>. This is where your data will be exported.</td></tr></tbody></table>
8. Run the script using PowerShell 7.

Your data has been exported to the destination folder.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devolutions.net/cloud/web-interface/help-and-tools/export/powershell-script-export-type.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
